Last Comment Bug 814812 - Create locale repositories in /gaia-l10n: bn-IN gu km ne-NP si th vi
: Create locale repositories in /gaia-l10n: bn-IN gu km ne-NP si th vi
Status: RESOLVED FIXED
:
Product: Developer Services
Classification: Other
Component: General (show other bugs)
: other
: x86_64 Linux
: -- normal
: ---
Assigned To: Ben Kero [:bkero]
: Shyam Mani [:fox2mike]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 18:13 PST by Staś Małolepszy :stas
Modified: 2014-10-10 13:38 PDT (History)
24 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Staś Małolepszy :stas 2012-11-23 18:13:33 PST
Please create the following repositories under hg.mozilla.org/gaia-l10n:

bn-IN
gu
km
ne-NP
si
th
vi

The repos should have the common l10n permissions and hooks, both python:mozhghooks.pushlog and python:mozhghooks.single_head_per_branch.hook.

The permissions should be scm_l10n, not level_1.

Thank you.
Comment 1 Axel Hecht [pto-Aug-30][:Pike] 2012-11-23 23:51:36 PST
Per https://wiki.mozilla.org/ReleaseEngineering/RepositoryCreationRequest, we should make this start out in releng.

Hal passes it to IT then.
Comment 2 Staś Małolepszy :stas 2012-11-30 09:03:58 PST
I see these repos created in https://hg.mozilla.org/gaia-l10n/.  Are they now ready to be used?
Comment 3 Hal Wine [:hwine] (use NI) 2012-11-30 09:26:44 PST
Sorry I missed this earlier.

(In reply to Staś Małolepszy :stas (traveling until Dec 4) from comment #2)
> I see these repos created in https://hg.mozilla.org/gaia-l10n/.  Are they
> now ready to be used?

I don't know - it seems odd that they would have been created but this bug not closed.

Reassigning to Developer Services for a definitive answer and resolution
Comment 4 Hal Wine [:hwine] (use NI) 2012-11-30 09:31:45 PST
(In reply to Axel Hecht [:Pike] from comment #1)
> Per https://wiki.mozilla.org/ReleaseEngineering/RepositoryCreationRequest,
> we should make this start out in releng.

True & thanks! 

Are you going to update https://wiki.mozilla.org/L10n:Bugogram#hg_repo for the b2g case. I _think_ the only difference is only one repo per locale is used. (And maybe the blocking alias)
Comment 5 Shyam Mani [:fox2mike] 2012-12-03 14:14:38 PST
I don't know either. I don't remember doing this. Ben?
Comment 6 Ben Kero [:bkero] 2012-12-04 08:52:36 PST
Yes, I did this but forgot to update the bug.
Comment 7 Staś Małolepszy :stas 2012-12-05 12:21:18 PST
I'm getting the following error when trying to push:

pushing to ssh://hg.mozilla.org/gaia-l10n/bn-IN
searching for changes
remote: Not trusting file /repo/hg/mozilla/gaia-l10n/bn-IN/.hg/hgrc from untrusted user root, group scm_l10n
remote: Not trusting file /repo/hg/mozilla/gaia-l10n/bn-IN/.hg/hgrc from untrusted user root, group scm_l10n
remote: abort: could not lock repository /repo/hg/mozilla/gaia-l10n/bn-IN: Permission denied
abort: unexpected response: empty string

Reopening, sorry :(  Do you know what's causing this?
Comment 8 Staś Małolepszy :stas 2012-12-05 23:42:58 PST
Ben,  the changes from bug 818461 comment 2 fixed part of the problem, but I still can't push:

master ☀ bn-IN hg push                                                                             21:20:24
pushing to ssh://hg.mozilla.org/gaia-l10n/bn-IN
searching for changes
remote: abort: could not lock repository /repo/hg/mozilla/gaia-l10n/bn-IN: Permission denied
abort: unexpected response: empty string
master ☀ bn-IN
Comment 9 Ben Kero [:bkero] 2012-12-06 02:04:20 PST
I saw the problem and corrected it (group permissions). Please try again.
Comment 10 Staś Małolepszy :stas 2012-12-06 02:14:06 PST
Both https://hg.mozilla.org/gaia-l10n/bn-IN & https://hg.mozilla.org/gaia-l10n/bn-IN/pushloghtml show my push, thanks a lot, Ben!

Note You need to log in before you can comment on or make changes to this bug.